<template>
  <div class="list_container">
    <div class="sevice_breadcrumb">
      <el-breadcrumb separator="/">
        <el-breadcrumb-item>我的服务</el-breadcrumb-item>
        <el-breadcrumb-item>{{ pathName }}</el-breadcrumb-item>
      </el-breadcrumb>
    </div>
    <div class="table_container"></div>
  </div>
</template>

<script>
import cesTable from "@/components/table-um";
import dialogAction from "@/components/dialog-action";
import { mapState } from "vuex";

export default {
  data: () => ({
    level: 0, // 用户等级
    type: 0, // 访问的页面
  }),
  computed: {
    ...mapState({
      yyglNav: "yyglNav",
    }),
    pathName() {
      return this.yyglNav[this.level][this.type];
    },
  },
  components: {
    cesTable,
    dialogAction,
  },
  methods: {},
  created() {
    this.level = parseInt(this.$route.params.level);
    this.type = parseInt(this.$route.params.type);
  },
};
</script>

<style scoped>
.list_container {
  padding: 0 20px;
}
.table_container {
  height: calc(100% - 75px);
  padding: 15px 20px;
  border-radius: 10px;
  overflow: hidden;
  background-color: #fff;
}
.table_container .ces-table-page {
  margin-top: 42px;
}
</style>
